import { BackgroundType, ColorType } from './color';
export declare const enum TextStyleType {
    BOLD = "b",
    ITALIC = "i",
    CODE = "c",
    LINK = "a",
    HIGH_LIGHT = "h",
    DELETED = "s"
}
declare type SimpleStyleType = [TextStyleType.BOLD | TextStyleType.ITALIC | TextStyleType.DELETED | TextStyleType.CODE];
declare type HighlightStyleType = [TextStyleType.HIGH_LIGHT, ColorType | BackgroundType];
declare type LinkStyleType = [TextStyleType.LINK, string];
export declare type RichText = [string, (SimpleStyleType | HighlightStyleType | LinkStyleType)[]?][];
export {};
